Bug 1815749 - usb problem with logitech webcam: cannot submit urb
Summary: usb problem with logitech webcam: cannot submit urb
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-21 10:36 UTC by customercare
Modified: 2020-11-21 10:14 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-21 10:14:38 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2020-03-21 10:36:40 UTC
1. Please describe the problem:

From time to time, and more often in the last days, a usb connected logitec webcam (s.b.), 
does not init correctly.

Today it showed up as webcam, was useable as webcam, showed up as microphone, but had no soundlevel bar in pavucontrol. 
it also did not work as microphone. 

If that pc got called via jitsi, the voip programm tried to open the microphonedevice, that did not work, the app crashlanded.

removeing the usb device and reattaching it at the same port, reinitialised it correctly and all programms (using it) started working again.

by the nature of this problem, it may be hard to debug and and hard to reproduce reliable.
It's also possible, that the long time working device just reached the final state of existence ;) 

As Kernel 5.5.x has some USB problems with Surface Hardware, i thought it might be better to report it, just in case it's not a hw fault.


2. What is the Version-Release number of the kernel:

5.5.10-100.fc30.x86_64


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

yes. since a few years. 


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

depends... it does not happen on every boot 


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:

RPBFusions nvidia 

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.


lsusb:

Bus 003 Device 004: ID 046d:081b Logitech, Inc. Webcam C310
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

kernellog on boot:

Mär 21 10:20:16 localhost.localdomain kernel: usb 3-1: New USB device found, idVendor=046d, idProduct=081b, bcdDevice= 0.10
Mär 21 10:20:16 localhost.localdomain kernel: usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Mär 21 10:20:16 localhost.localdomain kernel: usb 3-1: SerialNumber: 7A41A8D0
Mär 21 10:20:44 localhost.localdomain mtp-probe[924]: checking bus 3, device 2: "/sys/devices/pci0000:00/0000:00:07.1/0000:07:00.3/usb3/3-1"
Mär 21 10:20:45 localhost.localdomain kernel: usb 3-1: set resolution quirk: cval->res = 384
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 4 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 6 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 7 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Processing 2 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 3 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: uvcvideo 3-1:1.0: Entity type for entity Camera 1 was not initialized!
Mär 21 10:20:45 localhost.localdomain kernel: input: UVC Camera (046d:081b) as /devices/pci0000:00/0000:00:07.1/0000:07:00.3/usb3/3-1/3-1:1.0/input/input16
Mär 21 10:20:52 localhost.localdomain /usr/libexec/gdm-x-session[1580]: (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:07.1/0000:07:00.3/usb3/3-1/3-1:1.0/input/i
Mär 21 10:20:52 localhost.localdomain kernel: usb 3-1: reset high-speed USB device number 2 using xhci_hcd
Mär 21 10:21:01 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (**) Option "xkb_layout" "de"
...skipping...
Mär 21 10:36:35 linux.fritz.box kernel: usb 3-1: USB disconnect, device number 2
Mär 21 10:36:35 linux.fritz.box kernel: usb 3-1: cannot submit urb (err = -19)
Mär 21 10:36:35 linux.fritz.box kernel: usb 3-1: cannot submit urb 0, error -19: no device
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[1580]: (II) config/udev: removing device UVC Camera (046d:081b)
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (II) config/udev: removing device UVC Camera (046d:081b)
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (**) Option "fd" "42"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (II) event16 - UVC Camera (046d:081b): device removed
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[1580]: (II) UnloadModule: "libinput"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[1580]: (II) systemd-logind: releasing fd for 13:80
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (II) UnloadModule: "libinput"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: (II) systemd-logind: releasing fd for 13:80
Mär 21 10:36:35 linux.fritz.box pulseaudio[2017]: W: [alsa-source-USB Audio] alsa-util.c: Got POLLNVAL from ALSA
Mär 21 10:36:35 linux.fritz.box pulseaudio[2017]: W: [alsa-source-USB Audio] alsa-util.c: Could not recover from POLLERR|POLLNVAL|POLLHUP with snd_pcm_prepare(): No such device
Mär 21 10:36:35 linux.fritz.box csd-media-keys[2207]: Unable to get default source
Mär 21 10:36:35 linux.fritz.box gsd-media-keys[1753]: Unable to get default source
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: UdevQt: unhandled device action "unbind"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: UdevQt: unhandled device action "unbind"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: UdevQt: unhandled device action "unbind"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: UdevQt: unhandled device action "unbind"
Mär 21 10:36:35 linux.fritz.box /usr/libexec/gdm-x-session[2038]: UdevQt: unhandled device action "unbind"

Mär 21 10:36:54 linux.fritz.box kernel: usb 3-1: new high-speed USB device number 4 using xhci_hcd
Mär 21 10:36:54 linux.fritz.box kernel: usb 3-1: New USB device found, idVendor=046d, idProduct=081b, bcdDevice= 0.10
Mär 21 10:36:54 linux.fritz.box kernel: usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Mär 21 10:36:54 linux.fritz.box kernel: usb 3-1: SerialNumber: 7A41A8D0
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:081b)
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 4 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 6 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 7 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Processing 2 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Extension 3 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: uvcvideo 3-1:1.0: Entity type for entity Camera 1 was not initialized!
Mär 21 10:36:54 linux.fritz.box kernel: input: UVC Camera (046d:081b) as /devices/pci0000:00/0000:00:07.1/0000:07:00.3/usb3/3-1/3-1:1.0/input/input17
Mär 21 10:36:55 linux.fritz.box kernel: usb 1-7: reset high-speed USB device number 2 using xhci_hcd
Mär 21 10:36:55 linux.fritz.box kernel: usb 1-7: reset high-speed USB device number 2 using xhci_hcd
Mär 21 10:36:55 linux.fritz.box kernel: usb 3-1: set resolution quirk: cval->res = 384
Mär 21 10:36:55 linux.fritz.box mtp-probe[4694]: checking bus 3, device 4: "/sys/devices/pci0000:00/0000:00:07.1/0000:07:00.3/usb3/3-1"



dmesg showed this on reconnecting the device:

[  981.920019] usb 3-1: USB disconnect, device number 2
[  981.920985] usb 3-1: cannot submit urb (err = -19)
[  981.921084] usb 3-1: cannot submit urb 0, error -19: no device

and lot of lots of lots of .. 

[  982.130425] usb 1-7: reset high-speed USB device number 2 using xhci_hcd

Comment 1 Ben Cotton 2020-04-30 20:19:53 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 customercare 2020-05-01 21:12:03 UTC
happen with F31 5.6.x Kernel too.

Comment 3 Roman Kravtsov 2020-10-28 08:22:22 UTC
happen with F33 too.

$ uname -a
Linux ryzen 5.8.16-300.fc33.x86_64 #1 SMP Mon Oct 19 13:18:33 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
$ dmesg | grep uvcvideo
[    7.781658] uvcvideo: Found UVC 1.00 device Integrated Camera (13d3:56ff)
[    7.793799] uvcvideo 1-3:1.0: Entity type for entity Extension 3 was not initialized!
[    7.793802] uvcvideo 1-3:1.0: Entity type for entity Processing 2 was not initialized!
[    7.793803] uvcvideo 1-3:1.0: Entity type for entity Camera 1 was not initialized!
[    7.794527] usbcore: registered new interface driver uvcvideo
$ cat /etc/redhat-release 
Fedora release 33 (Thirty Three)
$

Comment 4 customercare 2020-10-28 09:01:34 UTC
FYI: the shown usb cam has been removed as "defective" and replaced with a new one, not, that i know of, having these problems.

Comment 5 Hans de Goede 2020-10-28 09:20:47 UTC
(In reply to customercare from comment #4)
> FYI: the shown usb cam has been removed as "defective" and replaced with a
> new one, not, that i know of, having these problems.

Does that mean that this issue is resolved now ?

Comment 6 customercare 2020-10-28 10:16:07 UTC
depends on, if the underlying problem was really a defective camera or if the "driver" just wasn't able to communicate with the device anymore due to changes. 

I tend to the second explanation, as it more or less happend directly after an upgrade from F29 to F30, but random events may have come together.

The thing is, I have the same camera model and on my unchanged( since 2013 )mainboard, the camera has no problems with the same kernels. 

I have an idea to bring some light on this: 

As the camera in question still exists, i can get the camera in about 2 weeks from now and plug it into my hw. If it works flawless, it's a driver issue in conjunction with the used mainboard. If it fails on my system too, it's defective for sure.

Comment 7 Hans de Goede 2020-10-28 10:59:30 UTC
(In reply to customercare from comment #6)
> depends on, if the underlying problem was really a defective camera or if
> the "driver" just wasn't able to communicate with the device anymore due to
> changes. 
> 
> I tend to the second explanation, as it more or less happend directly after
> an upgrade from F29 to F30, but random events may have come together.
> 
> The thing is, I have the same camera model and on my unchanged( since 2013
> )mainboard, the camera has no problems with the same kernels. 
> 
> I have an idea to bring some light on this: 
> 
> As the camera in question still exists, i can get the camera in about 2
> weeks from now and plug it into my hw. If it works flawless, it's a driver
> issue in conjunction with the used mainboard. If it fails on my system too,
> it's defective for sure.

Ok, lets wait for you to run some additional tests then.

Comment 8 Ben Cotton 2020-11-03 17:09:11 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 customercare 2020-11-12 22:59:28 UTC
According to our testagreement, I have taken the "defective" usb logitec cam to a different pc:

ASUSTeK COMPUTER INC.  M5A97 R2.0
AMD FX-8350
kernel 5.8.18-100.fc31

and it's working from the first insertation on. replugging it several times.. works without any problems so far.
I will check the boot behaviour, which was the problematic, tomorrow, bt so far, it looks ok.

It looks like there might have a usb driver issue with the other mainboard: 

Chipset B450M 
AMD Ryzen 5 1500

Comment 10 customercare 2020-11-12 23:01:46 UTC
complete hw composition of the problematic pc:

_PCIE GTX 1050 2GB Gigabyte D5 OC - Dual Slot - 1Fan
MOTAM4 ASUS PRIME A320M-K µ DDR4
RAMDDR4 2666 8GB G.Skill DDR4 Value CL19 8GNT
_CPU AMD AM4 Ryzen 5 4 Box 1500X 3,70GHz 4xCore 18MB 95W Wraith Spire Cooler

Comment 11 customercare 2020-11-13 11:28:29 UTC
A driver issue with the ASUS PRIME board seems to be reasonable.

The Cam was tested connected on boot with  the ASUS M5A97 and worked out of the box , no problems initializing it on the first impression, but it had problems once a camera app started:

[  152.408940] uvcvideo: Failed to query (SET_CUR) UVC control 3 on unit 2: -110 (exp. 2).
[  152.920994] uvcvideo: Failed to query (SET_CUR) UVC control 2 on unit 2: -110 (exp. 2).
[  153.432926] uvcvideo: Failed to query (SET_CUR) UVC control 7 on unit 2: -110 (exp. 2).
[  194.849845] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[  199.970073] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[  205.090086] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[  210.210380] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[  215.330358] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[  220.450461] usb 3-1: 3:4: cannot set freq 48000 to ep 0x86
[eve ~]$ lsusb
Bus 003 Device 002: ID 046d:081b Logitech, Inc. Webcam C310	cam in question
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 011 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 010 Device 002: ID 046d:081b Logitech, Inc. Webcam C310	mycam	
Bus 010 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 009 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


This lead to some interesting bugs with pulseaudio, as not all audiodevice have been working. Trying to use video was fine, trying to use the mic was fine, BUT the onboard audio system was found, but inaccessible. This never happend before. 

Removing the cam and replugging it fixed most of the issues, but only a restart of pulseaudio fixed them all.

I think:

something on init of the usb device is going wrong, and revealing also bugs in pulseaudio handling the situation. 

It can be a timing issue in the usb ports, which will be enlarged if the device is used with the ASUS PRIME A320M-K chipset. 

This will be VERY hard, if not impossible, to debug, if the one trying to,does not have physical access to the device in question. As it works on different chipssets, the owner will make use of it and we can close this bug as UNFIXABLE.

Comment 12 customercare 2020-11-21 10:14:38 UTC
closed due to lack of response


Note You need to log in before you can comment on or make changes to this bug.